> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Partner Schema Mappings

> Get partner schema mappings (Used to map important fields from partner resources to Reach Functions)



## OpenAPI

````yaml GET /partner/schema-mappings
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /partner/schema-mappings:
    get:
      tags:
        - Schema Mappings
      summary: Get Partner Schema Mappings
      description: >-
        Get partner schema mappings (Used to map important fields from partner
        resources to Reach Functions)
      parameters: []
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - combined_schema
                      contactsSchema:
                        type: object
                        properties:
                          primarySource:
                            type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - contacts_schema
                              schemaId:
                                type: string
                                format: uuid
                              email:
                                type: string
                              phone:
                                type: string
                              userId:
                                type: string
                                minLength: 1
                              firstName:
                                type: string
                              lastName:
                                type: string
                              fullName:
                                type: string
                              location:
                                type: string
                              status:
                                type: object
                                properties:
                                  field:
                                    type: string
                                  activeValue:
                                    type: string
                                  deactivatedValue:
                                    type: string
                                required:
                                  - field
                                  - activeValue
                                  - deactivatedValue
                              createdDate:
                                type: string
                              emailOptOut:
                                type: string
                              emailOptIn:
                                type: string
                              emailOptOutTimestamp:
                                type: string
                              smsOptOut:
                                type: string
                              smsOptIn:
                                type: string
                              urlPattern:
                                type: string
                              smsOptOutTimestamp:
                                type: string
                              pointOfContactName:
                                type: string
                              pointOfContactEmail:
                                type: string
                              senderProfiles:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    profileId:
                                      type: string
                                      format: uuid
                                    label:
                                      type: string
                                      minLength: 1
                                    nameFieldPath:
                                      type: string
                                      minLength: 1
                                    emailFieldPath:
                                      type: string
                                      minLength: 1
                                  required:
                                    - profileId
                                    - label
                                    - nameFieldPath
                                    - emailFieldPath
                                minItems: 1
                              hipaaConsent:
                                type: string
                            required:
                              - type
                              - schemaId
                              - userId
                          additionalSources:
                            type: array
                            items:
                              type: object
                              properties:
                                type:
                                  type: string
                                  enum:
                                    - contacts_schema
                                schemaId:
                                  type: string
                                  format: uuid
                                email:
                                  type: string
                                phone:
                                  type: string
                                userId:
                                  type: string
                                  minLength: 1
                                firstName:
                                  type: string
                                lastName:
                                  type: string
                                fullName:
                                  type: string
                                location:
                                  type: string
                                status:
                                  type: object
                                  properties:
                                    field:
                                      type: string
                                    activeValue:
                                      type: string
                                    deactivatedValue:
                                      type: string
                                  required:
                                    - field
                                    - activeValue
                                    - deactivatedValue
                                createdDate:
                                  type: string
                                emailOptOut:
                                  type: string
                                emailOptIn:
                                  type: string
                                emailOptOutTimestamp:
                                  type: string
                                smsOptOut:
                                  type: string
                                smsOptIn:
                                  type: string
                                urlPattern:
                                  type: string
                                smsOptOutTimestamp:
                                  type: string
                                pointOfContactName:
                                  type: string
                                pointOfContactEmail:
                                  type: string
                                senderProfiles:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      profileId:
                                        type: string
                                        format: uuid
                                      label:
                                        type: string
                                        minLength: 1
                                      nameFieldPath:
                                        type: string
                                        minLength: 1
                                      emailFieldPath:
                                        type: string
                                        minLength: 1
                                    required:
                                      - profileId
                                      - label
                                      - nameFieldPath
                                      - emailFieldPath
                                  minItems: 1
                                hipaaConsent:
                                  type: string
                              required:
                                - type
                                - schemaId
                                - userId
                        required:
                          - primarySource
                      transactionsSchema:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - transactions_schema
                            eventType:
                              type: string
                            schemaId:
                              type: string
                              format: uuid
                            id_field:
                              type: string
                              minLength: 1
                            userId:
                              type: string
                              minLength: 1
                            amount:
                              type: object
                              properties:
                                field:
                                  type: string
                                  minLength: 1
                                currencyField:
                                  type: string
                                currency:
                                  type: string
                                  enum:
                                    - USD
                                    - CAD
                                    - EUR
                                    - AED
                                    - AFN
                                    - ALL
                                    - AMD
                                    - ARS
                                    - AUD
                                    - AZN
                                    - BAM
                                    - BDT
                                    - BGN
                                    - BHD
                                    - BIF
                                    - BND
                                    - BOB
                                    - BRL
                                    - BWP
                                    - BYN
                                    - BZD
                                    - CDF
                                    - CHF
                                    - CLP
                                    - CNY
                                    - COP
                                    - CRC
                                    - CVE
                                    - CZK
                                    - DJF
                                    - DKK
                                    - DOP
                                    - DZD
                                    - EEK
                                    - EGP
                                    - ERN
                                    - ETB
                                    - GBP
                                    - GEL
                                    - GHS
                                    - GNF
                                    - GTQ
                                    - HKD
                                    - HNL
                                    - HRK
                                    - HUF
                                    - IDR
                                    - ILS
                                    - INR
                                    - IQD
                                    - IRR
                                    - ISK
                                    - JMD
                                    - JOD
                                    - JPY
                                    - KES
                                    - KHR
                                    - KMF
                                    - KRW
                                    - KWD
                                    - KZT
                                    - LBP
                                    - LKR
                                    - LTL
                                    - LVL
                                    - LYD
                                    - MAD
                                    - MDL
                                    - MGA
                                    - MKD
                                    - MMK
                                    - MOP
                                    - MUR
                                    - MXN
                                    - MYR
                                    - MZN
                                    - NAD
                                    - NGN
                                    - NIO
                                    - NOK
                                    - NPR
                                    - NZD
                                    - OMR
                                    - PAB
                                    - PEN
                                    - PHP
                                    - PKR
                                    - PLN
                                    - PYG
                                    - QAR
                                    - RON
                                    - RSD
                                    - RUB
                                    - RWF
                                    - SAR
                                    - SDG
                                    - SEK
                                    - SGD
                                    - SOS
                                    - SYP
                                    - THB
                                    - TND
                                    - TOP
                                    - TRY
                                    - TTD
                                    - TWD
                                    - TZS
                                    - UAH
                                    - UGX
                                    - UYU
                                    - UZS
                                    - VEF
                                    - VND
                                    - XAF
                                    - XOF
                                    - YER
                                    - ZAR
                                    - ZMK
                                    - ZWL
                              required:
                                - field
                            dates:
                              type: object
                              properties:
                                createdDate:
                                  type: string
                                paidDate:
                                  type: string
                                dueDate:
                                  type: string
                                startDate:
                                  type: string
                                endDate:
                                  type: string
                            locationId:
                              type: string
                              description: Location ID field
                            metadata:
                              type: array
                              items:
                                type: string
                            filter:
                              anyOf:
                                - type: boolean
                                - type: string
                                - type: number
                                - nullable: true
                                - type: object
                                  additionalProperties:
                                    nullable: true
                                - type: array
                                  items:
                                    nullable: true
                                - nullable: true
                              description: >-
                                JSONLogic rule to conditionally create billable
                                events from resources. See:
                                https://jsonlogic.com/
                            urlPattern:
                              type: string
                          required:
                            - type
                            - eventType
                            - schemaId
                            - id_field
                            - userId
                            - amount
                            - dates
                      customSchema:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - custom_schema
                            id_field:
                              type: string
                              minLength: 1
                            date:
                              type: string
                              minLength: 1
                            userId:
                              type: string
                              minLength: 1
                            metadata:
                              type: array
                              items:
                                type: string
                            schemaId:
                              type: string
                              minLength: 1
                          required:
                            - type
                            - id_field
                            - date
                            - userId
                            - schemaId
                      locationsSchema:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - locations_schema
                            schemaId:
                              type: string
                              format: uuid
                            id_field:
                              type: string
                              minLength: 1
                            name:
                              type: string
                            address_line_1:
                              type: string
                            address_line_2:
                              type: string
                            address_line_3:
                              type: string
                            locality:
                              type: string
                            district:
                              type: string
                            postal_code:
                              type: string
                            country_code:
                              type: string
                            phone:
                              type: string
                            email:
                              type: string
                            website:
                              type: string
                            urlPattern:
                              type: string
                          required:
                            - type
                            - schemaId
                            - id_field
                    required:
                      - type
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message

````